/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

import java.util.Date;

/**
 * @author Masako Okayasu
 */
public class XbMappingObj extends XbEtcObj {

	// タクソノミーグループID
	private long taxonomy_group_id;
	// タクソノミー項目ID
	private long taxonomy_item_id;
	// ユーザ側環境 項目ID
	private long user_item_id;
	// precision属性値
	private int item_precision;
	// decimal属性値
	private int item_decimal;
	// ETC タイプ
	private int etc_type;
	// フットノートID
	private long etc_id;
	// タプル子アイテムフラグ
	private int tuple_child_flag;
	// 備考
	private String description;
	// 作成日
	private Date creation_date;

	/**
	 * @return creation_date
	 */
	public Date getCreation_date() {
		return creation_date;
	}
	/**
	 * @param creation_date 設定する creation_date
	 */
	public void setCreation_date(Date creation_date) {
		this.creation_date = creation_date;
	}
	/**
	 * @return description
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description 設定する description
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return etc_id
	 */
	public long getEtc_id() {
		return etc_id;
	}
	/**
	 * @param etc_id 設定する etc_id
	 */
	public void setEtc_id(long etc_id) {
		this.etc_id = etc_id;
	}
	/**
	 * @return etc_type
	 */
	public int getEtc_type() {
		return etc_type;
	}
	/**
	 * @param etc_type 設定する etc_type
	 */
	public void setEtc_type(int etc_type) {
		this.etc_type = etc_type;
	}
	/**
	 * @return item_decimal
	 */
	public int getItem_decimal() {
		return item_decimal;
	}
	/**
	 * @param item_decimal 設定する item_decimal
	 */
	public void setItem_decimal(int item_decimal) {
		this.item_decimal = item_decimal;
	}
	/**
	 * @return item_precision
	 */
	public int getItem_precision() {
		return item_precision;
	}
	/**
	 * @param item_precision 設定する item_precision
	 */
	public void setItem_precision(int item_precision) {
		this.item_precision = item_precision;
	}
	/**
	 * @return taxonomy_group_id
	 */
	public long getTaxonomy_group_id() {
		return taxonomy_group_id;
	}
	/**
	 * @param taxonomy_group_id 設定する taxonomy_group_id
	 */
	public void setTaxonomy_group_id(long taxonomy_group_id) {
		this.taxonomy_group_id = taxonomy_group_id;
	}
	/**
	 * @return taxonomy_item_id
	 */
	public long getTaxonomy_item_id() {
		return taxonomy_item_id;
	}
	/**
	 * @param taxonomy_item_id 設定する taxonomy_item_id
	 */
	public void setTaxonomy_item_id(long taxonomy_item_id) {
		this.taxonomy_item_id = taxonomy_item_id;
	}
	/**
	 * @return tuple_child_flag
	 */
	public int getTuple_child_flag() {
		return tuple_child_flag;
	}
	/**
	 * @param tuple_child_flag 設定する tuple_child_flag
	 */
	public void setTuple_child_flag(int tuple_child_flag) {
		this.tuple_child_flag = tuple_child_flag;
	}
	/**
	 * @return user_item_id
	 */
	public long getUser_item_id() {
		return user_item_id;
	}
	/**
	 * @param user_item_id 設定する user_item_id
	 */
	public void setUser_item_id(long user_item_id) {
		this.user_item_id = user_item_id;
	}
}